<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Восстановление пароля';
require_once('conf/head.php');
 ?>
  <div id="main">
 <?php
if ((isset($_SESSION['id'])) and (isset($_SESSION['nick'])))  {
  ?>
  <script type="text/javascript">
  document.location.href = "index.php";
  </script>
  <?php
}
else {
  ?>
  <p class="podmenu">Восстановление пароля</p>
  <div id="error">
  <?php
  if(isset($_POST['relog'])) {
    $mail = $_POST['mail']; // мыло
	$formail = '#^[A-z0-9-\._]+@[A-z0-9]{2,}\.[A-z]{2,4}$#ui';
    $flag = 1;
	if (empty($mail)){
	  ?>
	  <p>Вы не ввели адрес электроной почты</p>
	  <?php
	   $flag= 0;
	}
	else {
	  if (!preg_match($formail, $mail)) {
	    ?> 
	    <p>Неверный e-mail</p>
	    <?php
	    $flag=0;
	  }
	  $nick = $_POST['nick'];
	  if (empty($nick)){
	    ?>
	    <p>Вы не ввели ник</p>
	    <?php
	    $flag= 0;
	  } 
	  else {
	    $mail =  mysqli_real_escape_string($dbc, trim($mail));
		$nick = mysqli_real_escape_string($dbc, trim($nick));	
		$query = "Select password, id from users where nick = '$nick' and mail = '$mail' limit 1";
	    $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	    if ($row = mysqli_fetch_array($result)) {
		  if ($flag == 1) {
		    $password = $row['password'];
			$id = $row['id'];
			$to = "$mail";
		    $msg = "Привет STALKER $nick\n Пройди по этой ссылке для восстановления пароля:\n http://wapstalker.ru/relostpass.php?nick=$id&r=$password";
			$subject = 'Восстановление пароля';
			mail($to,$subject,$msg,"From: support STALKERS")
			?>
	        <p>Сообщение успешно отправлено, проверьте почту</p>
	        <?php
		  }
		}
		else {
		  ?>
	      <p>Данные не верны</p>
	      <?php
	      $flag= 0;
		}
	  }
	}
  }
  $phpself= $_SERVER['PHP_SELF'];
  $phpself = htmlentities($phpself, ENT_QUOTES);
  $nickbottom = $_POST['nick'];
  ?>
</div>
<div class="stats">
<form enctype="multipart/form-data" method="post" action="<? echo "$phpself"; ?>">
  <label for="mail">Ник:</label><br />
  <input type="text" class="input" name="nick" value="<?php echo "$nickbottom"; ?>" /><br />
  <label for="mail">e-mail:</label><br />
  <input type="text" class="input" name="mail"  />
  <div class="knopka">
  <input type="submit" class="input" value="Восстановить" name="relog" />
  </div>
</form>
</div>
</div>
<?php
require_once('conf/navig.php');
require_once('conf/foot.php');
}
mysqli_close($dbc);

?>
</body>
</html>